Push a notification
curl --request POST \
--url https://api.myego.dev/api/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"body": "<string>",
"type": "<string>",
"data": {}
}
'import requests
url = "https://api.myego.dev/api/notifications"
payload = {
"title": "<string>",
"body": "<string>",
"type": "<string>",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
body: JSON.stringify('<string>'),
type: '<string>',
data: {}
})
};
fetch('https://api.myego.dev/api/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"error": "Bad request"
}{
"error": "Unauthorized"
}{
"error": "Forbidden"
}Notifications
Push a notification
Push a notification to the owner’s inbox. Requires the notifications:write scope.
POST
/
api
/
notifications
Push a notification
Authorizations
Pass your ego access token as a bearer token: Authorization: Bearer <token>. The token carries the scopes granted on the consent screen.
Body
application/json
Response
The notification was created.
Identifier of the created notification.
Example:
"k1799wxyz"
⌘I
